# sc::RangeLock Class Reference

List of all members.

## Public Member Functions

| RangeLock (Pool *pool=0)
void | increment (int start, int fence)
void | decrement (int start, int fence)
void | set (int start, int fence, int value)
void | sum (int start, int fence, int delta)
int | checkeq (int start, int fence, int value)
int | checkgr (int start, int fence, int value)
void | check ()
void | print (std::ostream &o=ExEnv::out0()) const
int | lockvalue (int i)

The documentation for this class was generated from the following file:

- rnglock.h